Bug 497153 - eclipse-nls-de breaks jface
eclipse-nls-de breaks jface
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-nls (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Sean Flanigan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 11:14 EDT by Christoph Höger
Modified: 2009-05-19 20:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.4.0.v20090423085802-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 20:50:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 250734 None None None Never

  None (edit)
Description Christoph Höger 2009-04-22 11:14:30 EDT
Description of problem:
With eclipse-nls-de installed, there are JFace errors occuring if you want to configure a eclipse java run.

Version-Release number of selected component (if applicable):
eclipse-nls-de-0.2.0-0.6.20080807snap.fc11.noarch

How reproducible:
always

Steps to Reproduce:
1. install eclipse-nls-de
2. open java project
3. click on Run/Configure
4. create new java application config
  
Actual results:
JFace errors popping up. (Something about wrong formatting of some strings)

Additional info:
I had very little time today so the only thing for confirmation I did was removing that package.
This could easily be a character encoding bug.
Comment 1 Andrew Overholt 2009-04-22 11:25:46 EDT
Sean, could this be the dropins issue?
Comment 2 Sean Flanigan 2009-04-22 19:45:56 EDT
Alas, I can't blame p2 and dropins for this one.  If it were the dropins issue, the complaint would be about a lack of translations for some or all plugins.  It must be a bad translation. 

Thanks for the clear instructions.  I reproduced the error and got these error messages:

-----------------------------------------------------------------------
Fehler aufgetreten
Ein Fehler ist aufgetreten. Details finden Sie im Fehlerprotokoll.
java.lang.IllegalArgumentException

Ein Fehler ist aufgetreten. Details finden Sie im Fehlerprotokoll.
All argument identifiers have to be either non-negative numbers or strings following the pattern ([:ID_Start:] [:ID_Continue:]*).
For more details on these unicode sets, visit http://demo.icu-project.org/icu-bin/ubrowse
-----------------------------------------------------------------------
!ENTRY org.eclipse.jface 4 2 2009-04-23 09:17:32.277
!MESSAGE Beim Aufrufen des Codes aus dem Plug-in "org.eclipse.jface" sind Fehler aufgetreten.
!STACK 0
java.lang.IllegalArgumentException: All argument identifiers have to be either non-negative numbers or strings following the pattern ([:ID_Start:] [:ID_Continue:]*).
For more details on these unicode sets, visit http://demo.icu-project.org/icu-bin/ubrowse
	at com.ibm.icu.text.MessageFormat.makeFormat(MessageFormat.java:1854)
	at com.ibm.icu.text.MessageFormat.applyPattern(MessageFormat.java:554)
	at com.ibm.icu.text.MessageFormat.<init>(MessageFormat.java:403)
	at com.ibm.icu.text.MessageFormat.format(MessageFormat.java:1055)
	at org.eclipse.jdt.internal.debug.ui.jres.JREsComboBlock.fillWithWorkspaceProfiles(JREsComboBlock.java:453)
	at org.eclipse.jdt.internal.debug.ui.jres.JREsComboBlock.createControl(JREsComboBlock.java:254)
	at org.eclipse.jdt.debug.ui.launchConfigurations.JavaJRETab.createControl(JavaJRETab.java:109)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationTabGroupViewer.showInstanceTabsFor(LaunchConfigurationTabGroupViewer.java:835)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationTabGroupViewer.displayInstanceTabs(LaunchConfigurationTabGroupViewer.java:771)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationTabGroupViewer$8.run(LaunchConfigurationTabGroupViewer.java:663)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationTabGroupViewer.inputChanged(LaunchConfigurationTabGroupViewer.java:680)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationTabGroupViewer.setInput0(LaunchConfigurationTabGroupViewer.java:642)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationTabGroupViewer.setInput(LaunchConfigurationTabGroupViewer.java:618)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationsDialog.handleLaunchConfigurationSelectionChanged(LaunchConfigurationsDialog.java:959)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationsDialog$4.selectionChanged(LaunchConfigurationsDialog.java:566)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:842)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
	at org.eclipse.core.runtime.Platform.run(Platform.java:886)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:48)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:175)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:840)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1639)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1104)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationView.handleConfigurationAdded(LaunchConfigurationView.java:281)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationView.access$1(LaunchConfigurationView.java:271)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationView$2.run(LaunchConfigurationView.java:260)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:133)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3378)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3036)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:825)
	at org.eclipse.jface.window.Window.open(Window.java:801)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationsDialog.open(LaunchConfigurationsDialog.java:1113)
	at org.eclipse.debug.ui.DebugUITools$1.run(DebugUITools.java:388)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.debug.ui.DebugUITools.openLaunchConfigurationDialogOnGroup(DebugUITools.java:396)
	at org.eclipse.debug.ui.DebugUITools.openLaunchConfigurationDialogOnGroup(DebugUITools.java:332)
	at org.eclipse.debug.ui.actions.OpenLaunchDialogAction.run(OpenLaunchDialogAction.java:81)
	at org.eclipse.debug.ui.actions.OpenLaunchDialogAction.runWithEvent(OpenLaunchDialogAction.java:89)
	at org.eclipse.ui.internal.PluginAction.runWithEvent(PluginAction.java:241)
	at org.eclipse.ui.internal.WWinPluginAction.runWithEvent(WWinPluginAction.java:229)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:583)
	at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:500)
	at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:411)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1158)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3401)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3033)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2382)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2346)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2198)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:493)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:288)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:488)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:113)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:193)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1236)

-----------------------------------------------------------------------

It's a bad MessageFormat string, a mistake in the Babel translation: https://bugs.eclipse.org/bugs/show_bug.cgi?id=250734

It's obviously past time I updated the langpacks, to pick up the fix.
Comment 3 Sean Flanigan 2009-04-23 03:47:28 EDT
I've updated all the langpacks in rawhide, but I don't think they'll show up until after F11 is finalised.  The update fixed the problem in my quick test.

If you like, you could install http://kojipkgs.fedoraproject.org/packages/eclipse-nls/3.5.0.v20090417091040/1.fc12/noarch/eclipse-nls-de-3.5.0.v20090417091040-1.fc12.noarch.rpm
Comment 4 Fedora Update System 2009-04-23 22:57:24 EDT
eclipse-nls-3.4.0.v20081026043401-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eclipse-nls-3.4.0.v20081026043401-1.fc11
Comment 5 Fedora Update System 2009-04-23 23:17:10 EDT
eclipse-nls-3.4.0.v20081026043401-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/eclipse-nls-3.4.0.v20081026043401-1.fc10
Comment 6 Sean Flanigan 2009-04-23 23:33:15 EDT
I've packaged, for F10 and F11, the latest Babel I've got for 3.4.  (Ganymede downloads are currently unavailable, see https://bugs.eclipse.org/bugs/show_bug.cgi?id=271845 )  

It's woefully out of date, but just new enough to have the fix for this bad 'de' translation.

Submitted via Bodhi for updates-testing, as per comment 4 and comment 5.
Comment 7 Fedora Update System 2009-04-27 23:30:32 EDT
eclipse-nls-3.4.0.v20090423085802-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/eclipse-nls-3.4.0.v20090423085802-1.fc10
Comment 8 Fedora Update System 2009-04-27 23:50:21 EDT
eclipse-nls-3.4.0.v20090423085802-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eclipse-nls-3.4.0.v20090423085802-1.fc11
Comment 9 Fedora Update System 2009-05-09 00:07:45 EDT
eclipse-nls-3.4.0.v20090423085802-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse-nls'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4452
Comment 10 Fedora Update System 2009-05-19 20:49:31 EDT
eclipse-nls-3.4.0.v20090423085802-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-19 20:50:06 EDT
eclipse-nls-3.4.0.v20090423085802-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.